// ZipIndexer.java
// $Id: ZipIndexer.java,v 1.3 1999/03/29 20:56:14 ylafon Exp $
// (c) COPYRIGHT MIT and INRIA, 1998.
// Please first read the full copyright statement in file COPYRIGHT.html

package org.w3c.jigsaw.zip; 

import java.util.*;
import java.io.*;

import org.w3c.tools.resources.indexer.*;
import org.w3c.tools.resources.*;

public class ZipIndexer extends SampleResourceIndexer {

    protected Resource createDirectoryResource(File zipfile,
					       String name,
					       Hashtable defs) 
    {
	return super.createDirectoryResource(zipfile, null, name, defs);
    }

    protected Resource createFileResource(File zipfile,
					  String name,
					  Hashtable defs) 
    {
	return super.createFileResource(zipfile, null, name, defs);
    }
}
